# Entity-Relation Mapping Editor
A simple UI for editing entity-relation mapping diagrams.

## Usage
This program is distributed as an executable **jar** file. You can find the latest release [here](https://github.com/andrewlalis/EntityRelationMappingEditor/releases). You will need Java installed on your computer (version 8 or higher). [You can install an OpenJDK version of Java here.](https://adoptium.net/)

Simply double-click on the jar file, or execute `java -jar <jar file>` from the command line (where `<jar file>` is replaced with the path to your actual jar file).

![window screenshot](https://raw.githubusercontent.com/andrewlalis/EntityRelationMappingEditor/main/design/main_interface.PNG)
> The above image shows the application's user-interface.

## Instructions
The interface and menus should be pretty self-explanatory, but here are some tips to get you started:
* Click on a relation to select it.
* You can CTRL + click to select multiple relations.
* Drag the relations to move them around in the window.
* Right-click on different areas to access context menus with some helpful actions.
* When exporting the model to an image, be sure to add the desired image file extension (`.png`, `.jpg`, `.bmp`, etc.), or the application will default to `.png`.

## Contributing
This is an open-source project, and gladly accepts contributions in terms of new features, bug fixes, suggestions, bug reports, and more.
* [Create a new issue](https://github.com/andrewlalis/EntityRelationMappingEditor/issues) if you'd like to make a suggestion, or report a bug.
* Fork the repository, make your changes, and submit them as a pull request.
